'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function routeChanged() {
  return async (ctx, next) => {
    /**
     * 如果切换的目标路由和当前路由是一致
     * 那么将不做任何逻辑
     */
    if (this.lastRoute === ctx.route) {
      return ctx.cb(false);
    }

    await next();
  };
}

exports.default = routeChanged;
