'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.clean = void 0;
let removeAward = null;

exports.default = (data) => {
  if (process.env.RUN_ENV !== 'web') {
    // 如果发现在服务器上执行该方法，说明有问题
    console.warn('removeAward方法在服务端不生效');
  } else {
    if (typeof data === 'function') {
      removeAward = data;
    } else {
      if (typeof removeAward === 'function') {
        removeAward(data);
      }
    }
  }
};

const clean = () => {
  removeAward = null;
};

exports.clean = clean;
